<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.391
Name: Profilo_Sanitario_Sintetico
Description: Template CDA ClinicalDocument (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915-closed">
   <title>Profilo_Sanitario_Sintetico</title>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/*[not(@xsi:nil = 'true')][not(self::hl7:realmCode[@code = 'IT'] | self::hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_MT000040UV02'] | self::hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4'] | self::hl7:id | self::hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:effectiveTime | self::hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.5.25' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @code = 'V' or @code = 'N'] | self::hl7:languageCode | self::hl7:setId | self::hl7:versionNumber | self::hl7:recordTarget[hl7:patientRole] | self::hl7:author[hl7:assignedAuthor] | self::hl7:dataEnterer[hl7:assignedEntity] | self::hl7:relatedEntity | self::hl7:assignedEntity | self::hl7:custodian[hl7:assignedCustodian] | self::hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']] | self::hl7:authenticator[hl7:signatureCode[@code = 'S']] | self::hl7:participant[@typeCode][hl7:associatedEntity[@classCode]] | self::hl7:participant[@typeCode] | self::hl7:documentationOf[hl7:serviceEvent] | self::hl7:relatedDocument[@typeCode][hl7:parentDocument] | self::hl7:component)]"
         id="d42e449-true-d29596e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e449-true-d29596e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:realmCode[@code = 'IT'] | hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_MT000040UV02'] | hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4'] | hl7:id | hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:effectiveTime | hl7:confidentialityCode[@codeSystem = '2.16.840.1.113883.5.25' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @code = 'V' or @code = 'N'] | hl7:languageCode | hl7:setId | hl7:versionNumber | hl7:recordTarget[hl7:patientRole] | hl7:author[hl7:assignedAuthor] | hl7:dataEnterer[hl7:assignedEntity] | hl7:relatedEntity | hl7:assignedEntity | hl7:custodian[hl7:assignedCustodian] | hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']] | hl7:authenticator[hl7:signatureCode[@code = 'S']] | hl7:participant[@typeCode][hl7:associatedEntity[@classCode]] | hl7:participant[@typeCode] | hl7:documentationOf[hl7:serviceEvent] | hl7:relatedDocument[@typeCode][hl7:parentDocument] | hl7:component (rule-reference: d42e449-true-d29596e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:code[(@code = '60591-5' and @codeSystem = '2.16.840.1.113883.6.1')]/*[not(@xsi:nil = 'true')][not(self::hl7:translation)]"
         id="d42e498-true-d29634e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e498-true-d29634e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:translation (rule-reference: d42e498-true-d29634e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/*[not(@xsi:nil = 'true')][not(self::hl7:patientRole[hl7:patient])]"
         id="d29676e4-true-d29973e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e4-true-d29973e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:patientRole[hl7:patient] (rule-reference: d29676e4-true-d29973e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:addr | self::hl7:telecom | self::hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']] | self::hl7:providerOrganization[@classCode = 'ORG'])]"
         id="d29676e14-true-d30294e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e14-true-d30294e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:addr | hl7:telecom | hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']] | hl7:providerOrganization[@classCode = 'ORG'] (rule-reference: d29676e14-true-d30294e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:censusTract | self::hl7:postalCode | self::hl7:streetAddressLine)]"
         id="d29676e80-true-d30346e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e80-true-d30346e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:censusTract | hl7:postalCode | hl7:streetAddressLine (rule-reference: d29676e80-true-d30346e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:name | self::hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1'] | self::hl7:birthTime | self::hl7:guardian | self::hl7:birthPlace)]"
         id="d29676e145-true-d30591e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e145-true-d30591e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name | hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1'] | hl7:birthTime | hl7:guardian | hl7:birthPlace (rule-reference: d29676e145-true-d30591e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:family | self::hl7:given)]"
         id="d29676e151-true-d30610e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e151-true-d30610e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:family | hl7:given (rule-reference: d29676e151-true-d30610e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:addr | self::hl7:telecom | self::hl7:guardianPerson | self::hl7:guardianOrganization[@classCode = 'ORG'])]"
         id="d29676e216-true-d30769e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e216-true-d30769e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:addr | hl7:telecom | hl7:guardianPerson | hl7:guardianOrganization[@classCode = 'ORG'] (rule-reference: d29676e216-true-d30769e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d29676e238-true-d30826e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e238-true-d30826e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d29676e238-true-d30826e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d29676e244-true-d30901e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e244-true-d30901e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d29676e244-true-d30901e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d30871e8-true-d30933e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d30871e8-true-d30933e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d30871e8-true-d30933e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d29676e255-true-d31107e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e255-true-d31107e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d29676e255-true-d31107e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d30958e49-true-d31169e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d30958e49-true-d31169e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d30958e49-true-d31169e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d30958e66-true-d31331e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d30958e66-true-d31331e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d30958e66-true-d31331e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d31209e60-true-d31505e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d31209e60-true-d31505e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d31209e60-true-d31505e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d31356e61-true-d31567e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d31356e61-true-d31567e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d31356e61-true-d31567e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:guardian/hl7:guardianOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d31356e78-true-d31729e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d31356e78-true-d31729e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d31356e78-true-d31729e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:birthPlace/*[not(@xsi:nil = 'true')][not(self::hl7:place | self::hl7:name | self::hl7:addr[hl7:city])]"
         id="d29676e264-true-d31854e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e264-true-d31854e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:place | hl7:name | hl7:addr[hl7:city] (rule-reference: d29676e264-true-d31854e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:patient[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/hl7:birthPlace/hl7:addr[hl7:city]/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:censusTract | self::hl7:postalCode)]"
         id="d29676e277-true-d31906e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e277-true-d31906e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:censusTract | hl7:postalCode (rule-reference: d29676e277-true-d31906e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:providerOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d29676e281-true-d32090e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d29676e281-true-d32090e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d29676e281-true-d32090e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:providerOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d31941e51-true-d32152e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d31941e51-true-d32152e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d31941e51-true-d32152e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:providerOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d31941e69-true-d32314e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d31941e69-true-d32314e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d31941e69-true-d32314e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:providerOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d32192e60-true-d32488e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d32192e60-true-d32488e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d32192e60-true-d32488e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:providerOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d32339e61-true-d32550e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d32339e61-true-d32550e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d32339e61-true-d32550e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:patient]/hl7:providerOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d32339e78-true-d32712e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.411-2024-01-08T151919.html"
              test="not(.)">(CDArecordTargetPSS_v2)/d32339e78-true-d32712e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d32339e78-true-d32712e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/*[not(@xsi:nil = 'true')][not(self::hl7:functionCode | self::hl7:time | self::hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']])]"
         id="d32793e22-true-d32961e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d32793e22-true-d32961e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:functionCode | hl7:time | hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']] (rule-reference: d32793e22-true-d32961e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2'] | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.51-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson | self::hl7:representedOrganization[@classCode = 'ORG'])]"
         id="d32793e47-true-d33163e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d32793e47-true-d33163e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2'] | hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.51-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:addr | hl7:telecom | hl7:assignedPerson | hl7:representedOrganization[@classCode = 'ORG'] (rule-reference: d32793e47-true-d33163e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d32793e101-true-d33224e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d32793e101-true-d33224e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d32793e101-true-d33224e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:assignedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d32793e135-true-d33299e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d32793e135-true-d33299e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d32793e135-true-d33299e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:assignedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d33269e14-true-d33331e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d33269e14-true-d33331e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d33269e14-true-d33331e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:representedOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d32793e154-true-d33505e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d32793e154-true-d33505e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d32793e154-true-d33505e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:representedOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d33356e49-true-d33567e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d33356e49-true-d33567e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d33356e49-true-d33567e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d33356e66-true-d33729e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d33356e66-true-d33729e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d33356e66-true-d33729e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d33607e60-true-d33903e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d33607e60-true-d33903e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d33607e60-true-d33903e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d33754e61-true-d33965e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d33754e61-true-d33965e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d33754e61-true-d33965e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor[hl7:id[@root = '2.16.840.1.113883.2.9.4.3.2']]/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d33754e78-true-d34127e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.413-2024-01-09T093932.html"
              test="not(.)">(CDAauthorRAP)/d33754e78-true-d34127e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d33754e78-true-d34127e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/*[not(@xsi:nil = 'true')][not(self::hl7:time | self::hl7:assignedEntity)]"
         id="d34208e24-true-d34372e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34208e24-true-d34372e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:time | hl7:assignedEntity (rule-reference: d34208e24-true-d34372e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson | self::hl7:representedOrganization[@classCode = 'ORG'])]"
         id="d34208e58-true-d34563e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34208e58-true-d34563e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:addr | hl7:telecom | hl7:assignedPerson | hl7:representedOrganization[@classCode = 'ORG'] (rule-reference: d34208e58-true-d34563e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d34382e37-true-d34620e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34382e37-true-d34620e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d34382e37-true-d34620e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:assignedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d34382e55-true-d34695e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34382e55-true-d34695e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d34382e55-true-d34695e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d34665e6-true-d34727e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34665e6-true-d34727e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d34665e6-true-d34727e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d34382e61-true-d34901e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34382e61-true-d34901e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d34382e61-true-d34901e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d34752e44-true-d34963e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34752e44-true-d34963e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d34752e44-true-d34963e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d34752e61-true-d35125e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d34752e61-true-d35125e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d34752e61-true-d35125e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d35003e60-true-d35299e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d35003e60-true-d35299e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d35003e60-true-d35299e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d35150e61-true-d35361e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d35150e61-true-d35361e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d35150e61-true-d35361e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:dataEnterer[hl7:assignedEntity]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d35150e78-true-d35523e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.402-2023-12-21T145804.html"
              test="not(.)">(CDAdataEnterer)/d35150e78-true-d35523e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d35150e78-true-d35523e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:relatedEntity/*[not(@xsi:nil = 'true')][not(self::hl7:relatedPerson[@root = '2.16.840.1.113883.2.9.4.3.2'])]"
         id="d35604e10-true-d35699e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d35604e10-true-d35699e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:relatedPerson[@root = '2.16.840.1.113883.2.9.4.3.2'] (rule-reference: d35604e10-true-d35699e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:relatedEntity/hl7:relatedPerson[@root = '2.16.840.1.113883.2.9.4.3.2']/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d35604e22-true-d35732e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d35604e22-true-d35732e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d35604e22-true-d35732e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:relatedEntity/hl7:relatedPerson[@root = '2.16.840.1.113883.2.9.4.3.2']/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d35604e40-true-d35764e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d35604e40-true-d35764e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d35604e40-true-d35764e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson | self::hl7:representedOrganization[@classCode = 'ORG'])]"
         id="d35604e44-true-d35970e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d35604e44-true-d35970e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:addr | hl7:telecom | hl7:assignedPerson | hl7:representedOrganization[@classCode = 'ORG'] (rule-reference: d35604e44-true-d35970e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d35789e37-true-d36027e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d35789e37-true-d36027e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d35789e37-true-d36027e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:assignedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d35789e55-true-d36102e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d35789e55-true-d36102e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d35789e55-true-d36102e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d36072e6-true-d36134e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d36072e6-true-d36134e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d36072e6-true-d36134e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d35789e61-true-d36308e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d35789e61-true-d36308e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d35789e61-true-d36308e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d36159e44-true-d36370e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d36159e44-true-d36370e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d36159e44-true-d36370e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d36159e61-true-d36532e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d36159e61-true-d36532e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d36159e61-true-d36532e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d36410e60-true-d36706e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d36410e60-true-d36706e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d36410e60-true-d36706e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d36557e61-true-d36768e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d36557e61-true-d36768e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d36557e61-true-d36768e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d36557e78-true-d36930e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.404-2023-12-21T154622.html"
              test="not(.)">(CDAinformant)/d36557e78-true-d36930e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d36557e78-true-d36930e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:custodian[hl7:assignedCustodian]/*[not(@xsi:nil = 'true')][not(self::hl7:assignedCustodian[hl7:representedCustodianOrganization])]"
         id="d37011e20-true-d37050e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.405-2023-12-21T162532.html"
              test="not(.)">(CDAcustodian)/d37011e20-true-d37050e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:assignedCustodian[hl7:representedCustodianOrganization] (rule-reference: d37011e20-true-d37050e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[hl7:representedCustodianOrganization]/*[not(@xsi:nil = 'true')][not(self::hl7:representedCustodianOrganization)]"
         id="d37011e33-true-d37091e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.405-2023-12-21T162532.html"
              test="not(.)">(CDAcustodian)/d37011e33-true-d37091e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:representedCustodianOrganization (rule-reference: d37011e33-true-d37091e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr)]"
         id="d37011e46-true-d37147e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.405-2023-12-21T162532.html"
              test="not(.)">(CDAcustodian)/d37011e46-true-d37147e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr (rule-reference: d37011e46-true-d37147e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d37011e108-true-d37209e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.405-2023-12-21T162532.html"
              test="not(.)">(CDAcustodian)/d37011e108-true-d37209e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d37011e108-true-d37209e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/*[not(@xsi:nil = 'true')][not(self::hl7:time | self::hl7:signatureCode[@code = 'S'] | self::hl7:assignedEntity)]"
         id="d37248e22-true-d37420e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37248e22-true-d37420e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:time | hl7:signatureCode[@code = 'S'] | hl7:assignedEntity (rule-reference: d37248e22-true-d37420e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson | self::hl7:representedOrganization[@classCode = 'ORG'])]"
         id="d37248e88-true-d37617e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37248e88-true-d37617e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:addr | hl7:telecom | hl7:assignedPerson | hl7:representedOrganization[@classCode = 'ORG'] (rule-reference: d37248e88-true-d37617e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d37436e37-true-d37674e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37436e37-true-d37674e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d37436e37-true-d37674e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:assignedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d37436e55-true-d37749e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37436e55-true-d37749e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d37436e55-true-d37749e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d37719e6-true-d37781e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37719e6-true-d37781e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d37719e6-true-d37781e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d37436e61-true-d37955e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37436e61-true-d37955e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d37436e61-true-d37955e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d37806e44-true-d38017e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37806e44-true-d38017e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d37806e44-true-d38017e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d37806e61-true-d38179e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d37806e61-true-d38179e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d37806e61-true-d38179e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d38057e60-true-d38353e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d38057e60-true-d38353e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d38057e60-true-d38353e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d38204e61-true-d38415e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d38204e61-true-d38415e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d38204e61-true-d38415e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:legalAuthenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d38204e78-true-d38577e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.406-2023-12-21T170447.html"
              test="not(.)">(CDAlegalAuthenticatorRAP)/d38204e78-true-d38577e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d38204e78-true-d38577e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/*[not(@xsi:nil = 'true')][not(self::hl7:time | self::hl7:signatureCode[@code = 'S'] | self::hl7:assignedEntity)]"
         id="d38658e22-true-d38830e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d38658e22-true-d38830e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:time | hl7:signatureCode[@code = 'S'] | hl7:assignedEntity (rule-reference: d38658e22-true-d38830e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson | self::hl7:representedOrganization[@classCode = 'ORG'])]"
         id="d38658e78-true-d39027e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d38658e78-true-d39027e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:addr | hl7:telecom | hl7:assignedPerson | hl7:representedOrganization[@classCode = 'ORG'] (rule-reference: d38658e78-true-d39027e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d38846e42-true-d39084e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d38846e42-true-d39084e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d38846e42-true-d39084e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:assignedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d38846e60-true-d39159e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d38846e60-true-d39159e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d38846e60-true-d39159e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:assignedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d39129e6-true-d39191e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d39129e6-true-d39191e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d39129e6-true-d39191e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d38846e66-true-d39365e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d38846e66-true-d39365e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d38846e66-true-d39365e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d39216e44-true-d39427e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d39216e44-true-d39427e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d39216e44-true-d39427e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d39216e61-true-d39589e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d39216e61-true-d39589e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d39216e61-true-d39589e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d39467e60-true-d39763e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d39467e60-true-d39763e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d39467e60-true-d39763e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d39614e61-true-d39825e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d39614e61-true-d39825e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d39614e61-true-d39825e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:authenticator[hl7:signatureCode[@code = 'S']]/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d39614e78-true-d39987e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.407-2023-12-21T172957.html"
              test="not(.)">(CDAauthenticator)/d39614e78-true-d39987e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d39614e78-true-d39987e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode][hl7:associatedEntity[@classCode]]/*[not(@xsi:nil = 'true')][not(self::hl7:time | self::hl7:associatedEntity[@classCode])]"
         id="d40068e11-true-d40139e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.408-2023-12-21T173918.html"
              test="not(.)">(CDAparticipantRAP)/d40068e11-true-d40139e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:time | hl7:associatedEntity[@classCode] (rule-reference: d40068e11-true-d40139e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode][hl7:associatedEntity[@classCode]]/hl7:associatedEntity[@classCode]/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:addr | self::hl7:telecom | self::hl7:associatedPerson)]"
         id="d40068e135-true-d40232e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.408-2023-12-21T173918.html"
              test="not(.)">(CDAparticipantRAP)/d40068e135-true-d40232e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:addr | hl7:telecom | hl7:associatedPerson (rule-reference: d40068e135-true-d40232e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode][hl7:associatedEntity[@classCode]]/hl7:associatedEntity[@classCode]/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d40068e154-true-d40289e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.408-2023-12-21T173918.html"
              test="not(.)">(CDAparticipantRAP)/d40068e154-true-d40289e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d40068e154-true-d40289e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode][hl7:associatedEntity[@classCode]]/hl7:associatedEntity[@classCode]/hl7:associatedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d40068e164-true-d40364e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.408-2023-12-21T173918.html"
              test="not(.)">(CDAparticipantRAP)/d40068e164-true-d40364e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d40068e164-true-d40364e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode][hl7:associatedEntity[@classCode]]/hl7:associatedEntity[@classCode]/hl7:associatedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d40334e8-true-d40396e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.408-2023-12-21T173918.html"
              test="not(.)">(CDAparticipantRAP)/d40334e8-true-d40396e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d40334e8-true-d40396e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode]/*[not(@xsi:nil = 'true')][not(self::hl7:associatedEntity[@classCode])]"
         id="d40420e4-true-d40486e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.414-2024-01-09T131105.html"
              test="not(.)">(NotaRealizzativaPSS)/d40420e4-true-d40486e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:associatedEntity[@classCode] (rule-reference: d40420e4-true-d40486e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode]/hl7:associatedEntity[@classCode]/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:addr | self::hl7:telecom | self::hl7:associatedPerson)]"
         id="d40420e46-true-d40569e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.414-2024-01-09T131105.html"
              test="not(.)">(NotaRealizzativaPSS)/d40420e46-true-d40569e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:addr | hl7:telecom | hl7:associatedPerson (rule-reference: d40420e46-true-d40569e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode]/hl7:associatedEntity[@classCode]/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d40420e62-true-d40621e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.414-2024-01-09T131105.html"
              test="not(.)">(NotaRealizzativaPSS)/d40420e62-true-d40621e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d40420e62-true-d40621e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode]/hl7:associatedEntity[@classCode]/hl7:associatedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d40420e78-true-d40696e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.414-2024-01-09T131105.html"
              test="not(.)">(NotaRealizzativaPSS)/d40420e78-true-d40696e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d40420e78-true-d40696e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:participant[@typeCode]/hl7:associatedEntity[@classCode]/hl7:associatedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d40675e1-true-d40728e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.414-2024-01-09T131105.html"
              test="not(.)">(NotaRealizzativaPSS)/d40675e1-true-d40728e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d40675e1-true-d40728e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:documentationOf[hl7:serviceEvent]/*[not(@xsi:nil = 'true')][not(self::hl7:serviceEvent)]"
         id="d40752e22-true-d40764e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.409-2024-01-08T121009.html"
              test="not(.)">(CDAdocumentationOfRAP)/d40752e22-true-d40764e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:serviceEvent (rule-reference: d40752e22-true-d40764e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:documentationOf[hl7:serviceEvent]/hl7:serviceEvent/*[not(@xsi:nil = 'true')][not(self::hl7:effectiveTime)]"
         id="d40752e40-true-d40778e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.409-2024-01-08T121009.html"
              test="not(.)">(CDAdocumentationOfRAP)/d40752e40-true-d40778e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:effectiveTime (rule-reference: d40752e40-true-d40778e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:relatedDocument[@typeCode][hl7:parentDocument]/*[not(@xsi:nil = 'true')][not(self::hl7:parentDocument)]"
         id="d40787e22-true-d40799e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.410-2024-01-08T123341.html"
              test="not(.)">(CDArelatedDocument)/d40787e22-true-d40799e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:parentDocument (rule-reference: d40787e22-true-d40799e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:relatedDocument[@typeCode][hl7:parentDocument]/hl7:parentDocument/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:text | self::hl7:setId | self::hl7:versionNumber)]"
         id="d40787e68-true-d40833e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.410-2024-01-08T123341.html"
              test="not(.)">(CDArelatedDocument)/d40787e68-true-d40833e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:text | hl7:setId | hl7:versionNumber (rule-reference: d40787e68-true-d40833e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/*[not(@xsi:nil = 'true')][not(self::hl7:structuredBody)]"
         id="d42e654-true-d41403e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e654-true-d41403e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:structuredBody (rule-reference: d42e654-true-d41403e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/*[not(@xsi:nil = 'true')][not(self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]] | self::hl7:component | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]] | self::hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]] | self::hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]] | self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]])]"
         id="d42e657-true-d42060e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e657-true-d42060e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]] | hl7:component | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]] | hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]] | hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]] | hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]] (rule-reference: d42e657-true-d42060e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']])]"
         id="d42e660-true-d42161e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e660-true-d42161e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']] (rule-reference: d42e660-true-d42161e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1'] | self::hl7:id | self::hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]])]"
         id="d42065e3-true-d42288e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42065e3-true-d42288e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1'] | hl7:id | hl7:code[(@code = '48765-2' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]] (rule-reference: d42065e3-true-d42288e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']])]"
         id="d42065e36-true-d42416e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42065e36-true-d42416e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']] (rule-reference: d42065e36-true-d42416e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1'] | self::hl7:id | self::hl7:code[@nullFlavor = 'NA'] | self::hl7:text | self::hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | self::hl7:effectiveTime | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]])]"
         id="d42320e8-true-d42524e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42320e8-true-d42524e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1'] | hl7:id | hl7:code[@nullFlavor = 'NA'] | hl7:text | hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | hl7:effectiveTime | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]] (rule-reference: d42320e8-true-d42524e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d42320e46-true-d42572e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42320e46-true-d42572e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d42320e46-true-d42572e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']])]"
         id="d42320e67-true-d42656e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42320e67-true-d42656e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']] (rule-reference: d42320e67-true-d42656e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3'] | self::hl7:id | self::hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:value | self::hl7:participant[@typeCode = 'CSM'][hl7:participantRole] | self::hl7:entryRelationship[hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]] | self::hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]])]"
         id="d42587e11-true-d42792e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e11-true-d42792e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3'] | hl7:id | hl7:code[(@code = '52473-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime | hl7:value | hl7:participant[@typeCode = 'CSM'][hl7:participantRole] | hl7:entryRelationship[hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]] | hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]] (rule-reference: d42587e11-true-d42792e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d42587e38-true-d42823e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e38-true-d42823e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d42587e38-true-d42823e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d42587e56-true-d42852e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e56-true-d42852e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d42587e56-true-d42852e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole]/*[not(@xsi:nil = 'true')][not(self::hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.52-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]])]"
         id="d42587e110-true-d42899e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e110-true-d42899e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.52-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]] (rule-reference: d42587e110-true-d42899e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.52-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/*[not(@xsi:nil = 'true')][not(self::hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.52-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]])]"
         id="d42872e7-true-d42931e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42872e7-true-d42931e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.52-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] (rule-reference: d42872e7-true-d42931e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:participant[@typeCode = 'CSM'][hl7:participantRole]/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.52-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:playingEntity[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.52-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/*[not(@xsi:nil = 'true')][not(self::hl7:code)]"
         id="d42872e11-true-d42952e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42872e11-true-d42952e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:code (rule-reference: d42872e11-true-d42952e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d42587e117-true-d42980e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e117-true-d42980e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d42587e117-true-d42980e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId | self::hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | self::hl7:effectiveTime | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor])]"
         id="d42965e6-true-d43038e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42965e6-true-d43038e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId | hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.10-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | hl7:effectiveTime | hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] (rule-reference: d42965e6-true-d43038e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d42965e43-true-d43063e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42965e43-true-d43063e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d42965e43-true-d43063e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d42965e58-true-d43095e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42965e58-true-d43095e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d42965e58-true-d43095e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']])]"
         id="d42587e123-true-d43135e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e123-true-d43135e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']] (rule-reference: d42587e123-true-d43135e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3'] | self::hl7:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.6'])]"
         id="d43120e5-true-d43181e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43120e5-true-d43181e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3'] | hl7:code[(@code = 'SEV' and @codeSystem = '2.16.840.1.113883.5.4')] | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime | hl7:value[@codeSystem = '2.16.840.1.113883.2.9.77.22.11.6'] (rule-reference: d43120e5-true-d43181e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.3']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43120e24-true-d43207e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43120e24-true-d43207e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43120e24-true-d43207e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']])]"
         id="d42587e128-true-d43248e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e128-true-d43248e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']] (rule-reference: d42587e128-true-d43248e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6'] | self::hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text | self::hl7:statusCode | self::hl7:value)]"
         id="d43233e5-true-d43287e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43233e5-true-d43287e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6'] | hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text | hl7:statusCode | hl7:value (rule-reference: d43233e5-true-d43287e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d42587e133-true-d43334e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42587e133-true-d43334e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d42587e133-true-d43334e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[not(@nullFlavor)] | self::hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode)]"
         id="d43319e5-true-d43366e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43319e5-true-d43366e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[not(@nullFlavor)] | hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode (rule-reference: d43319e5-true-d43366e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.3']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43319e33-true-d43391e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43319e33-true-d43391e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43319e33-true-d43391e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']])]"
         id="d42320e78-true-d43430e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42320e78-true-d43430e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']] (rule-reference: d42320e78-true-d43430e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4'] | self::hl7:id | self::hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.1.11.19700')] | self::hl7:text[hl7:reference] | self::hl7:statusCode[@code = 'completed' or @nullFlavor] | self::hl7:effectiveTime[hl7:low] | self::hl7:value[@codeSystem = '2.16.840.1.113883.11.22.9'] | self::hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]])]"
         id="d43406e11-true-d43499e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43406e11-true-d43499e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4'] | hl7:id | hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.1.11.19700')] | hl7:text[hl7:reference] | hl7:statusCode[@code = 'completed' or @nullFlavor] | hl7:effectiveTime[hl7:low] | hl7:value[@codeSystem = '2.16.840.1.113883.11.22.9'] | hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]] (rule-reference: d43406e11-true-d43499e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43406e39-true-d43530e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43406e39-true-d43530e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43406e39-true-d43530e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low)]"
         id="d43406e51-true-d43555e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43406e51-true-d43555e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low (rule-reference: d43406e51-true-d43555e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d43406e98-true-d43586e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43406e98-true-d43586e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d43406e98-true-d43586e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[not(@nullFlavor)] | self::hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode)]"
         id="d43575e1-true-d43618e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43575e1-true-d43618e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[not(@nullFlavor)] | hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode (rule-reference: d43575e1-true-d43618e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.1']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.4']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43575e29-true-d43643e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43575e29-true-d43643e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43575e29-true-d43643e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']])]"
         id="d42e663-true-d43711e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e663-true-d43711e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']] (rule-reference: d42e663-true-d43711e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2'] | self::hl7:id | self::hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]] | self::hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]])]"
         id="d43658e3-true-d43781e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43658e3-true-d43781e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2'] | hl7:id | hl7:code[(@code = '10160-0' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]] | hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]] (rule-reference: d43658e3-true-d43781e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']])]"
         id="d43658e59-true-d43849e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43658e59-true-d43849e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']] (rule-reference: d43658e59-true-d43849e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1'] | self::hl7:id | self::hl7:text | self::hl7:statusCode | self::hl7:effectiveTime[hl7:low] | self::hl7:effectiveTime | self::hl7:routeCode | self::hl7:approachSiteCode | self::hl7:doseQuantity | self::hl7:rateQuantity | self::hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]])]"
         id="d43813e6-true-d43939e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e6-true-d43939e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1'] | hl7:id | hl7:text | hl7:statusCode | hl7:effectiveTime[hl7:low] | hl7:effectiveTime | hl7:routeCode | hl7:approachSiteCode | hl7:doseQuantity | hl7:rateQuantity | hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]] (rule-reference: d43813e6-true-d43939e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:text/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43813e30-true-d43964e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e30-true-d43964e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43813e30-true-d43964e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d43813e47-true-d43993e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e47-true-d43993e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d43813e47-true-d43993e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:routeCode/*[not(@xsi:nil = 'true')][not(self::hl7:originalText[hl7:reference])]"
         id="d43813e115-true-d44022e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e115-true-d44022e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText[hl7:reference] (rule-reference: d43813e115-true-d44022e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:routeCode/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43813e138-true-d44036e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e138-true-d44036e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43813e138-true-d44036e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:approachSiteCode/*[not(@xsi:nil = 'true')][not(self::hl7:originalText[hl7:reference])]"
         id="d43813e146-true-d44055e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e146-true-d44055e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText[hl7:reference] (rule-reference: d43813e146-true-d44055e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:approachSiteCode/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43813e162-true-d44069e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e162-true-d44069e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43813e162-true-d44069e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:doseQuantity/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high | self::hl7:originalText[hl7:reference])]"
         id="d43813e169-true-d44098e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e169-true-d44098e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high | hl7:originalText[hl7:reference] (rule-reference: d43813e169-true-d44098e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:doseQuantity/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43813e189-true-d44122e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e189-true-d44122e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43813e189-true-d44122e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:rateQuantity/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high | self::hl7:originalText[hl7:reference])]"
         id="d43813e196-true-d44151e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e196-true-d44151e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high | hl7:originalText[hl7:reference] (rule-reference: d43813e196-true-d44151e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:rateQuantity/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d43813e219-true-d44175e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e219-true-d44175e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d43813e219-true-d44175e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']])]"
         id="d43813e226-true-d44212e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43813e226-true-d44212e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']] (rule-reference: d43813e226-true-d44212e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2'] | self::hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']])]"
         id="d44185e3-true-d44248e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44185e3-true-d44248e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2'] | hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']] (rule-reference: d44185e3-true-d44248e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3'] | self::hl7:code)]"
         id="d44185e20-true-d44279e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44185e20-true-d44279e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3'] | hl7:code (rule-reference: d44185e20-true-d44279e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:code/*[not(@xsi:nil = 'true')][not(self::hl7:originalText[hl7:reference] | self::hl7:translation)]"
         id="d44263e5-true-d44304e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44263e5-true-d44304e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText[hl7:reference] | hl7:translation (rule-reference: d44263e5-true-d44304e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.2']]/hl7:manufacturedMaterial[hl7:templateId[@root = '2.16.840.1.113883.10.22.4.3']]/hl7:code/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d44263e42-true-d44318e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44263e42-true-d44318e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d44263e42-true-d44318e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/*[not(@xsi:nil = 'true')][not(self::hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']])]"
         id="d43658e65-true-d44348e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d43658e65-true-d44348e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']] (rule-reference: d43658e65-true-d44348e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3'] | self::hl7:id | self::hl7:code | self::hl7:text[hl7:reference])]"
         id="d44333e4-true-d44380e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44333e4-true-d44380e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3'] | hl7:id | hl7:code | hl7:text[hl7:reference] (rule-reference: d44333e4-true-d44380e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.2']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.2.3']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d44333e37-true-d44410e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44333e37-true-d44410e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d44333e37-true-d44410e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']])]"
         id="d42e666-true-d44495e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e666-true-d44495e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']] (rule-reference: d42e666-true-d44495e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 '] | self::hl7:id | self::hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]])]"
         id="d44420e3-true-d44601e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44420e3-true-d44601e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 '] | hl7:id | hl7:code[(@code = '11369-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]] (rule-reference: d44420e3-true-d44601e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']])]"
         id="d44420e38-true-d44699e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44420e38-true-d44699e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']] (rule-reference: d44420e38-true-d44699e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1'] | self::hl7:id | self::hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime[hl7:reference] | self::hl7:routeCode | self::hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]] | self::hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']] | self::hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]])]"
         id="d44633e3-true-d44832e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e3-true-d44832e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1'] | hl7:id | hl7:code[(@code = 'IMMUNIZ' and @codeSystem = '2.16.840.1.113883.5.4')] | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime[hl7:reference] | hl7:routeCode | hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]] | hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']] | hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]] (rule-reference: d44633e3-true-d44832e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d44633e34-true-d44863e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e34-true-d44863e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d44633e34-true-d44863e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:effectiveTime[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d44633e55-true-d44887e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e55-true-d44887e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d44633e55-true-d44887e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']])]"
         id="d44633e80-true-d44925e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e80-true-d44925e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']] (rule-reference: d44633e80-true-d44925e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2'] | self::hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']])]"
         id="d44902e10-true-d44949e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44902e10-true-d44949e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2'] | hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']] (rule-reference: d44902e10-true-d44949e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/*[not(@xsi:nil = 'true')][not(self::hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5'])]"
         id="d44959e12-true-d44974e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.427-2024-01-10T145157.html"
              test="not(.)">(materialRAP)/d44959e12-true-d44974e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5'] (rule-reference: d44959e12-true-d44974e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/*[not(@xsi:nil = 'true')][not(self::hl7:originalText | self::hl7:translation)]"
         id="d44959e17-true-d44994e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.427-2024-01-10T145157.html"
              test="not(.)">(materialRAP)/d44959e17-true-d44994e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText | hl7:translation (rule-reference: d44959e17-true-d44994e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.2']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']]/hl7:code[@codeSystem = '2.16.840.1.113883.2.9.6.1.5']/hl7:originalText/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d44959e51-true-d45008e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.427-2024-01-10T145157.html"
              test="not(.)">(materialRAP)/d44959e51-true-d45008e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d44959e51-true-d45008e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']])]"
         id="d44633e90-true-d45038e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e90-true-d45038e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']] (rule-reference: d44633e90-true-d45038e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3'] | self::hl7:code[(@code = '59781-5' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | self::hl7:value)]"
         id="d45023e7-true-d45078e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45023e7-true-d45078e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3'] | hl7:code[(@code = '59781-5' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | hl7:value (rule-reference: d45023e7-true-d45078e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.3']]/hl7:value/*[not(@xsi:nil = 'true')][not(self::hl7:high)]"
         id="d45023e41-true-d45112e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45023e41-true-d45112e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:high (rule-reference: d45023e41-true-d45112e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']])]"
         id="d44633e97-true-d45137e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e97-true-d45137e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']] (rule-reference: d44633e97-true-d45137e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4'] | self::hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | self::hl7:value)]"
         id="d45122e7-true-d45177e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45122e7-true-d45177e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.4'] | hl7:code[(@code = '30973-2' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:statusCode[@code = 'completed' or @code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code] | hl7:value (rule-reference: d45122e7-true-d45177e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]])]"
         id="d44633e104-true-d45229e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e104-true-d45229e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] (rule-reference: d44633e104-true-d45229e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.1'] | self::hl7:id | self::hl7:text[hl7:reference] | self::hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:statusCode | self::hl7:effectiveTime[hl7:low] | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor])]"
         id="d45207e7-true-d45292e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45207e7-true-d45292e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.5.1'] | hl7:id | hl7:text[hl7:reference] | hl7:code[(@code = '75321-0' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:statusCode | hl7:effectiveTime[hl7:low] | hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] (rule-reference: d45207e7-true-d45292e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d45207e27-true-d45317e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45207e27-true-d45317e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d45207e27-true-d45317e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d45207e48-true-d45352e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45207e48-true-d45352e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d45207e48-true-d45352e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/*[not(@xsi:nil = 'true')][not(self::hl7:originalText[hl7:reference])]"
         id="d45207e60-true-d45381e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45207e60-true-d45381e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText[hl7:reference] (rule-reference: d45207e60-true-d45381e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:observation[@moodCode = 'EVN']]/hl7:observation[hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.29-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.31-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d45207e112-true-d45395e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45207e112-true-d45395e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d45207e112-true-d45395e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d44633e111-true-d45420e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d44633e111-true-d45420e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d44633e111-true-d45420e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[not(@nullFlavor)] | self::hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode)]"
         id="d45405e4-true-d45452e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45405e4-true-d45452e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[not(@nullFlavor)] | hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode (rule-reference: d45405e4-true-d45452e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.3 ']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.3.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d45405e32-true-d45477e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45405e32-true-d45477e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d45405e32-true-d45477e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']])]"
         id="d42e669-true-d45570e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e669-true-d45570e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']] (rule-reference: d42e669-true-d45570e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4'] | self::hl7:id | self::hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']])]"
         id="d45517e1-true-d45677e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45517e1-true-d45677e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4'] | hl7:id | hl7:code[(@code = '11450-4' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']] (rule-reference: d45517e1-true-d45677e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/*[not(@xsi:nil = 'true')][not(self::hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'])]"
         id="d45517e33-true-d45775e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45517e33-true-d45775e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[@classCode = 'ACT'][@moodCode = 'EVN'] (rule-reference: d45517e33-true-d45775e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.1'] | self::hl7:id | self::hl7:code[@nullFlavor = 'NA'] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]] | self::hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]])]"
         id="d45730e1-true-d45879e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45730e1-true-d45879e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.1'] | hl7:id | hl7:code[@nullFlavor = 'NA'] | hl7:statusCode | hl7:effectiveTime | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]] | hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]] (rule-reference: d45730e1-true-d45879e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']])]"
         id="d45730e57-true-d45961e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45730e57-true-d45961e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']] (rule-reference: d45730e57-true-d45961e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2'] | self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] | self::hl7:statusCode | self::hl7:text[hl7:reference] | self::hl7:effectiveTime | self::hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.36-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.38-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]] | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']]] | self::hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]])]"
         id="d45910e8-true-d46092e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e8-true-d46092e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2'] | hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] | hl7:statusCode | hl7:text[hl7:reference] | hl7:effectiveTime | hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.36-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.38-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]] | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']]] | hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]] (rule-reference: d45910e8-true-d46092e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']/*[not(@xsi:nil = 'true')][not(self::hl7:originalText[hl7:reference])]"
         id="d45910e25-true-d46118e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e25-true-d46118e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText[hl7:reference] (rule-reference: d45910e25-true-d46118e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:code[@codeSystem = '2.16.840.1.113883.6.1']/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d45910e49-true-d46132e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e49-true-d46132e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d45910e49-true-d46132e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d45910e66-true-d46156e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e66-true-d46156e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d45910e66-true-d46156e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.36-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.38-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/*[not(@xsi:nil = 'true')][not(self::hl7:originalText[hl7:reference])]"
         id="d45910e88-true-d46189e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e88-true-d46189e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:originalText[hl7:reference] (rule-reference: d45910e88-true-d46189e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.36-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.37-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.38-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.39-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:originalText[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d45910e119-true-d46203e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e119-true-d46203e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d45910e119-true-d46203e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']])]"
         id="d45910e126-true-d46228e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e126-true-d46228e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']] (rule-reference: d45910e126-true-d46228e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4'] | self::hl7:code | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:value[@codeSystem = '2.16.840.1.113883.5.1063' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.40-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d46213e8-true-d46271e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46213e8-true-d46271e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4'] | hl7:code | hl7:text[hl7:reference] | hl7:statusCode | hl7:value[@codeSystem = '2.16.840.1.113883.5.1063' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.40-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d46213e8-true-d46271e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.4']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d46213e27-true-d46296e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46213e27-true-d46296e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d46213e27-true-d46296e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']])]"
         id="d45910e134-true-d46334e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e134-true-d46334e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']] (rule-reference: d45910e134-true-d46334e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6'] | self::hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:value[@codeSystem = '2.16.840.1.113883.6.1' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.33-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d46319e8-true-d46379e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46319e8-true-d46379e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6'] | hl7:code[(@code = '33999-4' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode | hl7:value[@codeSystem = '2.16.840.1.113883.6.1' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.33-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d46319e8-true-d46379e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.1.6']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d46319e49-true-d46405e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46319e49-true-d46405e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d46319e49-true-d46405e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']])]"
         id="d45910e142-true-d46443e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e142-true-d46443e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']] (rule-reference: d45910e142-true-d46443e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5'] | self::hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:value)]"
         id="d46428e8-true-d46482e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46428e8-true-d46482e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5'] | hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | hl7:text[hl7:reference] | hl7:statusCode | hl7:value (rule-reference: d46428e8-true-d46482e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.5']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d46428e22-true-d46508e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46428e22-true-d46508e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d46428e22-true-d46508e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d45910e150-true-d46543e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45910e150-true-d46543e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d45910e150-true-d46543e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[not(@nullFlavor)] | self::hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode)]"
         id="d46528e5-true-d46575e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46528e5-true-d46575e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[not(@nullFlavor)] | hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode (rule-reference: d46528e5-true-d46575e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.2']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d46528e33-true-d46600e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46528e33-true-d46600e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d46528e33-true-d46600e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']])]"
         id="d45730e65-true-d46630e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d45730e65-true-d46630e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']] (rule-reference: d45730e65-true-d46630e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.4']]/hl7:entry[hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']]/hl7:act[@classCode = 'ACT'][@moodCode = 'EVN']/hl7:entryRelationship[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3'] | self::hl7:id | self::hl7:code)]"
         id="d46615e12-true-d46657e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46615e12-true-d46657e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.4.3'] | hl7:id | hl7:code (rule-reference: d46615e12-true-d46657e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']] | self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']])]"
         id="d42e670-true-d46715e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e670-true-d46715e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']] | hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']] (rule-reference: d42e670-true-d46715e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16'] | self::hl7:id | self::hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text | self::hl7:title)]"
         id="d46678e18-true-d46754e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46678e18-true-d46754e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16'] | hl7:id | hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text | hl7:title (rule-reference: d46678e18-true-d46754e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16'] | self::hl7:id | self::hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]])]"
         id="d46678e51-true-d46863e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46678e51-true-d46863e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16'] | hl7:id | hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]] (rule-reference: d46678e51-true-d46863e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']])]"
         id="d46678e83-true-d46937e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46678e83-true-d46937e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']] (rule-reference: d46678e83-true-d46937e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1'] | self::hl7:id | self::hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:statusCode | self::hl7:subject[hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']]] | self::hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]])]"
         id="d46908e1-true-d47016e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46908e1-true-d47016e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1'] | hl7:id | hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:statusCode | hl7:subject[hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']]] | hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]] (rule-reference: d46908e1-true-d47016e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:subject[hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']]]/*[not(@xsi:nil = 'true')][not(self::hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']])]"
         id="d46908e35-true-d47055e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46908e35-true-d47055e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']] (rule-reference: d46908e35-true-d47055e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:subject[hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']]]/hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']]/*[not(@xsi:nil = 'true')][not(self::hl7:code[@codeSystem = '2.16.840.1.113883.5.111'] | self::hl7:subject[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']])]"
         id="d46908e39-true-d47079e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46908e39-true-d47079e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:code[@codeSystem = '2.16.840.1.113883.5.111'] | hl7:subject[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']] (rule-reference: d46908e39-true-d47079e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:subject[hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']]]/hl7:realtedSubject[hl7:code[@codeSystem = '2.16.840.1.113883.5.111']]/hl7:subject[hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1'])]"
         id="d46908e56-true-d47102e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46908e56-true-d47102e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:administrativeGenderCode[@codeSystem = '2.16.840.1.113883.5.1'] (rule-reference: d46908e56-true-d47102e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]])]"
         id="d46908e73-true-d47152e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d46908e73-true-d47152e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] (rule-reference: d46908e73-true-d47152e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.2'] | self::hl7:id | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | self::hl7:text[hl7:reference] | self::hl7:statusCode[@code = 'completed'] | self::hl7:effectiveTime | self::hl7:value | self::hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3']]] | self::hl7:entryRelationship[hl7:observation[hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')]]])]"
         id="d47113e3-true-d47241e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47113e3-true-d47241e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.2'] | hl7:id | hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:text[hl7:reference] | hl7:statusCode[@code = 'completed'] | hl7:effectiveTime | hl7:value | hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3']]] | hl7:entryRelationship[hl7:observation[hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')]]] (rule-reference: d47113e3-true-d47241e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d47113e33-true-d47274e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47113e33-true-d47274e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d47113e33-true-d47274e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3']])]"
         id="d47113e79-true-d47315e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47113e79-true-d47315e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3']] (rule-reference: d47113e79-true-d47315e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3'] | self::hl7:code[@code = '35267-4'] | self::hl7:value)]"
         id="d47300e11-true-d47344e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47300e11-true-d47344e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.3'] | hl7:code[@code = '35267-4'] | hl7:value (rule-reference: d47300e11-true-d47344e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d47113e90-true-d47381e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47113e90-true-d47381e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d47113e90-true-d47381e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.16']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.16.1']]/hl7:component[hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:observation[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.53-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:entryRelationship[hl7:observation[hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:observation[hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId | self::hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:value)]"
         id="d47366e7-true-d47408e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47366e7-true-d47408e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId | hl7:code[(@code = '39016-1' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:value (rule-reference: d47366e7-true-d47408e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']])]"
         id="d42e671-true-d47453e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e671-true-d47453e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']] (rule-reference: d42e671-true-d47453e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6'] | self::hl7:id | self::hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']]])]"
         id="d47436e1-true-d47508e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47436e1-true-d47508e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6'] | hl7:id | hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']]] (rule-reference: d47436e1-true-d47508e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']])]"
         id="d47436e33-true-d47555e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47436e33-true-d47555e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']] (rule-reference: d47436e33-true-d47555e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1'] | self::hl7:id | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.43-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:value)]"
         id="d47544e1-true-d47608e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47544e1-true-d47608e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1'] | hl7:id | hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.43-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime | hl7:value (rule-reference: d47544e1-true-d47608e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.6']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.6.1']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d47544e34-true-d47641e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47544e34-true-d47641e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d47544e34-true-d47641e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']])]"
         id="d42e672-true-d47690e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e672-true-d47690e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']] (rule-reference: d42e672-true-d47690e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7'] | self::hl7:id | self::hl7:code[(@code = '10162-6' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']]])]"
         id="d47673e1-true-d47745e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47673e1-true-d47745e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7'] | hl7:id | hl7:code[(@code = '10162-6' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']]] (rule-reference: d47673e1-true-d47745e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']])]"
         id="d47673e33-true-d47792e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47673e33-true-d47792e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']] (rule-reference: d47673e33-true-d47792e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1'] | self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:value)]"
         id="d47781e1-true-d47841e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47781e1-true-d47841e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1'] | hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.6.1'] | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime | hl7:value (rule-reference: d47781e1-true-d47841e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.7.1']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d47781e45-true-d47872e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47781e45-true-d47872e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d47781e45-true-d47872e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']])]"
         id="d42e673-true-d47927e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e673-true-d47927e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']] (rule-reference: d42e673-true-d47927e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8'] | self::hl7:id | self::hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]])]"
         id="d47906e1-true-d47988e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47906e1-true-d47988e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8'] | hl7:id | hl7:code[(@code = '8716-3' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]] (rule-reference: d47906e1-true-d47988e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']])]"
         id="d47906e33-true-d48044e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d47906e33-true-d48044e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']] (rule-reference: d47906e33-true-d48044e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1'] | self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']]])]"
         id="d48027e1-true-d48099e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48027e1-true-d48099e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1'] | hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | hl7:statusCode | hl7:effectiveTime | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']]] (rule-reference: d48027e1-true-d48099e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']])]"
         id="d48027e45-true-d48146e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48027e45-true-d48146e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']] (rule-reference: d48027e45-true-d48146e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2'] | self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.45-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:repeatNumber | self::hl7:value | self::hl7:interpretationCode[@codeSystem = '2.16.840.1.113883.5.83'] | self::hl7:methodCode | self::hl7:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.34-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d48131e4-true-d48227e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48131e4-true-d48227e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2'] | hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.45-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime | hl7:repeatNumber | hl7:value | hl7:interpretationCode[@codeSystem = '2.16.840.1.113883.5.83'] | hl7:methodCode | hl7:targetSiteCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.34-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d48131e4-true-d48227e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.8']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.8.2']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d48131e37-true-d48260e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48131e37-true-d48260e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d48131e37-true-d48260e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']])]"
         id="d42e674-true-d48342e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e674-true-d48342e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']] (rule-reference: d42e674-true-d48342e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9'] | self::hl7:id | self::hl7:code[(@code = '46264-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1']]] | self::hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2']]])]"
         id="d48319e1-true-d48399e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48319e1-true-d48399e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9'] | hl7:id | hl7:code[(@code = '46264-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1']]] | hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2']]] (rule-reference: d48319e1-true-d48399e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]/hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1']])]"
         id="d48319e38-true-d48446e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48319e38-true-d48446e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1']] (rule-reference: d48319e38-true-d48446e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]/hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1'] | self::hl7:code | self::hl7:effectiveTime)]"
         id="d48435e1-true-d48473e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48435e1-true-d48473e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.1'] | hl7:code | hl7:effectiveTime (rule-reference: d48435e1-true-d48473e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]/hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2']])]"
         id="d48319e39-true-d48509e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48319e39-true-d48509e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2']] (rule-reference: d48319e39-true-d48509e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.9']]/hl7:entry[hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2']]]/hl7:supply[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2'] | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)])]"
         id="d48498e1-true-d48537e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48498e1-true-d48537e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.9.2'] | hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] (rule-reference: d48498e1-true-d48537e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']])]"
         id="d42e676-true-d48622e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e676-true-d48622e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']] (rule-reference: d42e676-true-d48622e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10'] | self::hl7:id | self::hl7:code[(@code = '18776-5' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']]] | self::hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]] | self::hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]] | self::hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]] | self::hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]])]"
         id="d48577e1-true-d48747e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48577e1-true-d48747e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10'] | hl7:id | hl7:code[(@code = '18776-5' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']]] | hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]] | hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]] | hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]] | hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]] (rule-reference: d48577e1-true-d48747e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']])]"
         id="d48577e33-true-d48794e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48577e33-true-d48794e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']] (rule-reference: d48577e33-true-d48794e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1'] | self::hl7:id | self::hl7:code | self::hl7:text[hl7:reference] | self::hl7:effectiveTime | self::hl7:effectiveTime)]"
         id="d48779e4-true-d48830e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48779e4-true-d48830e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1'] | hl7:id | hl7:code | hl7:text[hl7:reference] | hl7:effectiveTime | hl7:effectiveTime (rule-reference: d48779e4-true-d48830e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.1']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d48779e43-true-d48860e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48779e43-true-d48860e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d48779e43-true-d48860e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']])]"
         id="d48577e37-true-d48903e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48577e37-true-d48903e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']] (rule-reference: d48577e37-true-d48903e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2'] | self::hl7:id | self::hl7:text[hl7:reference] | self::hl7:effectiveTime | self::hl7:effectiveTime | self::hl7:effectiveTime | self::hl7:consumable[hl7:manufacturedProduct])]"
         id="d48880e4-true-d48952e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48880e4-true-d48952e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2'] | hl7:id | hl7:text[hl7:reference] | hl7:effectiveTime | hl7:effectiveTime | hl7:effectiveTime | hl7:consumable[hl7:manufacturedProduct] (rule-reference: d48880e4-true-d48952e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d48880e30-true-d48977e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48880e30-true-d48977e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d48880e30-true-d48977e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d48880e73-true-d49006e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48880e73-true-d49006e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d48880e73-true-d49006e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]/hl7:consumable[hl7:manufacturedProduct]/*[not(@xsi:nil = 'true')][not(self::hl7:manufacturedProduct)]"
         id="d48880e150-true-d49038e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48880e150-true-d49038e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:manufacturedProduct (rule-reference: d48880e150-true-d49038e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53'] | self::hl7:id | self::hl7:manufacturedMaterial)]"
         id="d49029e1-true-d49064e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49029e1-true-d49064e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53'] | hl7:id | hl7:manufacturedMaterial (rule-reference: d49029e1-true-d49064e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:manufacturedMaterial/*[not(@xsi:nil = 'true')][not(self::hl7:code | self::hl7:name)]"
         id="d49029e16-true-d49094e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49029e16-true-d49094e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:code | hl7:name (rule-reference: d49029e16-true-d49094e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]]/hl7:substanceAdministration[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.3.10.2']]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code/*[not(@xsi:nil = 'true')][not(self::hl7:translation)]"
         id="d49029e24-true-d49108e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49029e24-true-d49108e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:translation (rule-reference: d49029e24-true-d49108e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/*[not(@xsi:nil = 'true')][not(self::hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']])]"
         id="d48577e41-true-d49138e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48577e41-true-d49138e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']] (rule-reference: d48577e41-true-d49138e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3'] | self::hl7:id | self::hl7:code | self::hl7:text | self::hl7:effectiveTime | self::hl7:effectiveTime)]"
         id="d49123e4-true-d49174e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49123e4-true-d49174e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3'] | hl7:id | hl7:code | hl7:text | hl7:effectiveTime | hl7:effectiveTime (rule-reference: d49123e4-true-d49174e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:text/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d49123e48-true-d49204e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49123e48-true-d49204e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d49123e48-true-d49204e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.3']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d49123e85-true-d49233e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49123e85-true-d49233e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d49123e85-true-d49233e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]]/*[not(@xsi:nil = 'true')][not(self::hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']])]"
         id="d48577e45-true-d49263e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48577e45-true-d49263e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']] (rule-reference: d48577e45-true-d49263e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4'] | self::hl7:id | self::hl7:code | self::hl7:text[hl7:reference] | self::hl7:effectiveTime | self::hl7:effectiveTime)]"
         id="d49248e4-true-d49298e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49248e4-true-d49298e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4'] | hl7:id | hl7:code | hl7:text[hl7:reference] | hl7:effectiveTime | hl7:effectiveTime (rule-reference: d49248e4-true-d49298e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d49248e45-true-d49329e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49248e45-true-d49329e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d49248e45-true-d49329e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.4']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d49248e90-true-d49358e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49248e90-true-d49358e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d49248e90-true-d49358e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']])]"
         id="d48577e50-true-d49388e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d48577e50-true-d49388e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']] (rule-reference: d48577e50-true-d49388e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 '] | self::hl7:id | self::hl7:code | self::hl7:text[hl7:reference] | self::hl7:effectiveTime | self::hl7:effectiveTime)]"
         id="d49373e4-true-d49424e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49373e4-true-d49424e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 '] | hl7:id | hl7:code | hl7:text[hl7:reference] | hl7:effectiveTime | hl7:effectiveTime (rule-reference: d49373e4-true-d49424e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d49373e40-true-d49454e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49373e40-true-d49454e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d49373e40-true-d49454e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.10']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.10.5 ']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d49373e85-true-d49483e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49373e85-true-d49483e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d49373e85-true-d49483e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']])]"
         id="d42e677-true-d49528e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e677-true-d49528e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']] (rule-reference: d42e677-true-d49528e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11'] | self::hl7:id | self::hl7:code[(@code = '47519-4' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]])]"
         id="d49507e1-true-d49589e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49507e1-true-d49589e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11'] | hl7:id | hl7:code[(@code = '47519-4' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]] (rule-reference: d49507e1-true-d49589e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']])]"
         id="d49507e36-true-d49645e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49507e36-true-d49645e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']] (rule-reference: d49507e36-true-d49645e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1'] | self::hl7:id | self::hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.48-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:entryRelationship[@typeCode][hl7:observation])]"
         id="d49628e1-true-d49711e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49628e1-true-d49711e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1'] | hl7:id | hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.48-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.777.63.11.46-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime | hl7:entryRelationship[@typeCode][hl7:observation] (rule-reference: d49628e1-true-d49711e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d49628e55-true-d49746e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49628e55-true-d49746e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d49628e55-true-d49746e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d49628e87-true-d49775e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49628e87-true-d49775e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d49628e87-true-d49775e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]/hl7:entryRelationship[@typeCode][hl7:observation]/*[not(@xsi:nil = 'true')][not(self::hl7:observation)]"
         id="d49628e107-true-d49802e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49628e107-true-d49802e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation (rule-reference: d49628e107-true-d49802e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.11']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]]/hl7:procedure[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.11.1']]/hl7:entryRelationship[@typeCode][hl7:observation]/hl7:observation/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code)]"
         id="d49790e7-true-d49821e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49790e7-true-d49821e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code (rule-reference: d49790e7-true-d49821e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']])]"
         id="d42e678-true-d49941e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e678-true-d49941e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']] (rule-reference: d42e678-true-d49941e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12'] | self::hl7:id | self::hl7:code[(@code = '46240-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]])]"
         id="d49870e1-true-d50077e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49870e1-true-d50077e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12'] | hl7:id | hl7:code[(@code = '46240-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]] (rule-reference: d49870e1-true-d50077e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']])]"
         id="d49870e33-true-d50271e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d49870e33-true-d50271e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']] (rule-reference: d49870e33-true-d50271e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1'] | self::hl7:id | self::hl7:code | self::hl7:text[hl7:reference] | self::hl7:effectiveTime | self::hl7:performer)]"
         id="d50162e1-true-d50461e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50162e1-true-d50461e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1'] | hl7:id | hl7:code | hl7:text[hl7:reference] | hl7:effectiveTime | hl7:performer (rule-reference: d50162e1-true-d50461e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d50162e41-true-d50494e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50162e41-true-d50494e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d50162e41-true-d50494e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:effectiveTime/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d50162e51-true-d50518e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50162e51-true-d50518e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d50162e51-true-d50518e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/*[not(@xsi:nil = 'true')][not(self::hl7:time | self::hl7:assignedEntity)]"
         id="d50162e59-true-d50694e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50162e59-true-d50694e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:time | hl7:assignedEntity (rule-reference: d50162e59-true-d50694e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:addr | self::hl7:telecom | self::hl7:assignedPerson | self::hl7:representedOrganization[@classCode = 'ORG'])]"
         id="d50162e74-true-d50885e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50162e74-true-d50885e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:addr | hl7:telecom | hl7:assignedPerson | hl7:representedOrganization[@classCode = 'ORG'] (rule-reference: d50162e74-true-d50885e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d50704e40-true-d50942e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50704e40-true-d50942e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d50704e40-true-d50942e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/*[not(@xsi:nil = 'true')][not(self::hl7:name)]"
         id="d50704e58-true-d51017e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50704e58-true-d51017e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:name (rule-reference: d50704e58-true-d51017e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name/*[not(@xsi:nil = 'true')][not(self::hl7:given | self::hl7:family | self::hl7:prefix | self::hl7:suffix)]"
         id="d50987e6-true-d51049e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50987e6-true-d51049e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:given | hl7:family | hl7:prefix | hl7:suffix (rule-reference: d50987e6-true-d51049e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d50704e64-true-d51223e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d50704e64-true-d51223e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d50704e64-true-d51223e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d51074e44-true-d51285e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d51074e44-true-d51285e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d51074e44-true-d51285e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d51074e61-true-d51447e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d51074e61-true-d51447e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d51074e61-true-d51447e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:asOrganizationPartOf)]"
         id="d51325e60-true-d51621e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d51325e60-true-d51621e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:asOrganizationPartOf (rule-reference: d51325e60-true-d51621e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:addr/*[not(@xsi:nil = 'true')][not(self::hl7:country | self::hl7:state | self::hl7:county | self::hl7:city | self::hl7:postalCode | self::hl7:streetAddressLine | self::hl7:censusTract)]"
         id="d51472e61-true-d51683e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d51472e61-true-d51683e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:country | hl7:state | hl7:county | hl7:city | hl7:postalCode | hl7:streetAddressLine | hl7:censusTract (rule-reference: d51472e61-true-d51683e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.12']]/hl7:entry[hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]]/hl7:encounter[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.12.1']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization[@classCode = 'ORG']/hl7:asOrganizationPartOf/hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG']/hl7:asOrganizationPartOf/*[not(@xsi:nil = 'true')][not(self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'])]"
         id="d51472e78-true-d51845e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d51472e78-true-d51845e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:wholeOrganization[@classCode = 'PART'][@classCode = 'ORG'] (rule-reference: d51472e78-true-d51845e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']])]"
         id="d42e679-true-d51969e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e679-true-d51969e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']] (rule-reference: d42e679-true-d51969e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13'] | self::hl7:id | self::hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]])]"
         id="d51940e1-true-d52042e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d51940e1-true-d52042e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13'] | hl7:id | hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]] (rule-reference: d51940e1-true-d52042e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']])]"
         id="d51940e33-true-d52107e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d51940e33-true-d52107e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']] (rule-reference: d51940e33-true-d52107e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1'] | self::hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | self::hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]] | self::hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]])]"
         id="d52074e4-true-d52167e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52074e4-true-d52167e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1'] | hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]] | hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]] (rule-reference: d52074e4-true-d52167e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']])]"
         id="d52074e35-true-d52201e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52074e35-true-d52201e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']] (rule-reference: d52074e35-true-d52201e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2'] | self::hl7:code[(@code = '75246-9' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:statusCode | self::hl7:effectiveTime[hl7:low] | self::hl7:value[@codeSystem = '2.16.840.1.113883.6.1'])]"
         id="d52186e8-true-d52242e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52186e8-true-d52242e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2'] | hl7:code[(@code = '75246-9' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:statusCode | hl7:effectiveTime[hl7:low] | hl7:value[@codeSystem = '2.16.840.1.113883.6.1'] (rule-reference: d52186e8-true-d52242e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low)]"
         id="d52186e31-true-d52273e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52186e31-true-d52273e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low (rule-reference: d52186e31-true-d52273e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']])]"
         id="d52074e46-true-d52304e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52074e46-true-d52304e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']] (rule-reference: d52074e46-true-d52304e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2'] | self::hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] | self::hl7:statusCode | self::hl7:effectiveTime[hl7:low] | self::hl7:value)]"
         id="d52289e8-true-d52343e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52289e8-true-d52343e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2'] | hl7:code[(@code = 'ASSERTION' and @codeSystem = '2.16.840.1.113883.5.4')] | hl7:statusCode | hl7:effectiveTime[hl7:low] | hl7:value (rule-reference: d52289e8-true-d52343e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.13']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low)]"
         id="d52289e55-true-d52374e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52289e55-true-d52374e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low (rule-reference: d52289e55-true-d52374e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']])]"
         id="d42e680-true-d52422e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e680-true-d52422e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']] (rule-reference: d42e680-true-d52422e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14'] | self::hl7:id | self::hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]])]"
         id="d52399e1-true-d52486e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52399e1-true-d52486e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14'] | hl7:id | hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]] (rule-reference: d52399e1-true-d52486e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']])]"
         id="d52399e32-true-d52542e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52399e32-true-d52542e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']] (rule-reference: d52399e32-true-d52542e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1'] | self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]])]"
         id="d52518e4-true-d52595e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52518e4-true-d52595e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1'] | hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime | hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]] (rule-reference: d52518e4-true-d52595e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/*[not(@xsi:nil = 'true')][not(self::hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']])]"
         id="d52518e51-true-d52641e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52518e51-true-d52641e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']] (rule-reference: d52518e51-true-d52641e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2'] | self::hl7:id | self::hl7:code | self::hl7:text[hl7:reference] | self::hl7:statusCode | self::hl7:effectiveTime[hl7:low] | self::hl7:value | self::hl7:interpretationCode[@codeSystem = '2.16.840.1.113883.5.83'] | self::hl7:referenceRange)]"
         id="d52626e3-true-d52700e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e3-true-d52700e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2'] | hl7:id | hl7:code | hl7:text[hl7:reference] | hl7:statusCode | hl7:effectiveTime[hl7:low] | hl7:value | hl7:interpretationCode[@codeSystem = '2.16.840.1.113883.5.83'] | hl7:referenceRange (rule-reference: d52626e3-true-d52700e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d52626e51-true-d52730e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e51-true-d52730e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d52626e51-true-d52730e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low)]"
         id="d52626e66-true-d52754e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e66-true-d52754e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low (rule-reference: d52626e66-true-d52754e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:referenceRange/*[not(@xsi:nil = 'true')][not(self::hl7:observationRange | self::hl7:observationRange)]"
         id="d52626e105-true-d52783e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e105-true-d52783e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:observationRange | hl7:observationRange (rule-reference: d52626e105-true-d52783e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:referenceRange/hl7:observationRange/*[not(@xsi:nil = 'true')][not(self::hl7:text[hl7:reference])]"
         id="d52626e110-true-d52797e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e110-true-d52797e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:text[hl7:reference] (rule-reference: d52626e110-true-d52797e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:referenceRange/hl7:observationRange/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d52626e115-true-d52811e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e115-true-d52811e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d52626e115-true-d52811e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:referenceRange/hl7:observationRange/*[not(@xsi:nil = 'true')][not(self::hl7:value)]"
         id="d52626e120-true-d52830e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e120-true-d52830e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:value (rule-reference: d52626e120-true-d52830e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]]/hl7:section[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.2.14']]/hl7:entry[hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]]/hl7:organizer[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.14.1']]/hl7:component[hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]]/hl7:observation[hl7:templateId[@root = ' 2.16.840.1.113883.2.9.10.1.4.3.14.2']]/hl7:referenceRange/hl7:observationRange/hl7:value/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d52626e128-true-d52849e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52626e128-true-d52849e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d52626e128-true-d52849e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15']])]"
         id="d42e681-true-d52879e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e681-true-d52879e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15']] (rule-reference: d42e681-true-d52879e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15'] | self::hl7:id | self::hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text)]"
         id="d52868e1-true-d52918e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52868e1-true-d52918e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.15'] | hl7:id | hl7:code[(@code = '42348-3' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text (rule-reference: d52868e1-true-d52918e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']])]"
         id="d42e682-true-d52983e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e682-true-d52983e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']] (rule-reference: d42e682-true-d52983e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17'] | self::hl7:id | self::hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]])]"
         id="d52960e1-true-d53047e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52960e1-true-d53047e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17'] | hl7:id | hl7:code[(@code = '57827-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:title | hl7:text | hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]] (rule-reference: d52960e1-true-d53047e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']])]"
         id="d52960e33-true-d53103e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d52960e33-true-d53103e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']] (rule-reference: d52960e33-true-d53103e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1'] | self::hl7:id | self::hl7:code | self::hl7:statusCode | self::hl7:effectiveTime[hl7:low] | self::hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]])]"
         id="d53086e1-true-d53156e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53086e1-true-d53156e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1'] | hl7:id | hl7:code | hl7:statusCode | hl7:effectiveTime[hl7:low] | hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]] (rule-reference: d53086e1-true-d53156e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]/hl7:code/*[not(@xsi:nil = 'true')][not(self::hl7:translation)]"
         id="d53086e17-true-d53181e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53086e17-true-d53181e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:translation (rule-reference: d53086e17-true-d53181e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d53086e70-true-d53210e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53086e70-true-d53210e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d53086e70-true-d53210e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d53086e84-true-d53240e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53086e84-true-d53240e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d53086e84-true-d53240e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[not(@nullFlavor)] | self::hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode)]"
         id="d53225e12-true-d53272e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53225e12-true-d53272e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[not(@nullFlavor)] | hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode (rule-reference: d53225e12-true-d53272e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.17']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.17.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d53225e40-true-d53297e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53225e40-true-d53297e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d53225e40-true-d53297e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/*[not(@xsi:nil = 'true')][not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']])]"
         id="d42e683-true-d53345e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d42e683-true-d53345e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']] (rule-reference: d42e683-true-d53345e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18'] | self::hl7:id | self::hl7:code[(@code = 'PSSIT99' and @codeSystem = '2.16.840.1.113883.2.9.5.2.8')] | self::hl7:title | self::hl7:text | self::hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]])]"
         id="d53322e1-true-d53409e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53322e1-true-d53409e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18'] | hl7:id | hl7:code[(@code = 'PSSIT99' and @codeSystem = '2.16.840.1.113883.2.9.5.2.8')] | hl7:title | hl7:text | hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]] (rule-reference: d53322e1-true-d53409e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/hl7:code[(@code = 'PSSIT99' and @codeSystem = '2.16.840.1.113883.2.9.5.2.8')]/*[not(@xsi:nil = 'true')][not(self::hl7:transalation)]"
         id="d53322e15-true-d53435e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53322e15-true-d53435e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:transalation (rule-reference: d53322e15-true-d53435e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']])]"
         id="d53322e39-true-d53479e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53322e39-true-d53479e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']] (rule-reference: d53322e39-true-d53479e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1'] | self::hl7:id | self::hl7:code | self::hl7:translation | self::hl7:statusCode | self::hl7:effectiveTime[hl7:low] | self::hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]])]"
         id="d53462e1-true-d53537e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53462e1-true-d53537e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1'] | hl7:id | hl7:code | hl7:translation | hl7:statusCode | hl7:effectiveTime[hl7:low] | hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]] (rule-reference: d53462e1-true-d53537e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]/hl7:effectiveTime[hl7:low]/*[not(@xsi:nil = 'true')][not(self::hl7:low | self::hl7:high)]"
         id="d53462e49-true-d53582e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53462e49-true-d53582e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:low | hl7:high (rule-reference: d53462e49-true-d53582e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/*[not(@xsi:nil = 'true')][not(self::hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]])]"
         id="d53462e60-true-d53612e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53462e60-true-d53612e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]] (rule-reference: d53462e60-true-d53612e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/*[not(@xsi:nil = 'true')][not(self::hl7:templateId[not(@nullFlavor)] | self::hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | self::hl7:text[hl7:reference] | self::hl7:statusCode)]"
         id="d53597e12-true-d53644e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53597e12-true-d53644e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:templateId[not(@nullFlavor)] | hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')] | hl7:text[hl7:reference] | hl7:statusCode (rule-reference: d53597e12-true-d53644e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule fpi="RUL-QQQ"
         context="//hl7:ClinicalDocument[hl7:templateId[@root = '“2.16.840.1.113883.2.9.10.1.4.1.1'][@extension = '1.4']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.2.18']]/hl7:entry[hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]]/hl7:act[hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.4.3.18.1']]/hl7:entryRelationship[hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:act[hl7:code[(@code = '48767-8' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text[hl7:reference]/*[not(@xsi:nil = 'true')][not(self::hl7:reference)]"
         id="d53597e40-true-d53669e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20240228T193121/tmp-2.16.840.1.113883.3.1937.777.63.10.391-2023-12-20T153915.html"
              test="not(.)">(CDAClinicalDocument)/d53597e40-true-d53669e0: '<value-of select="name(..)"/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id. Expected in this context:  hl7:reference (rule-reference: d53597e40-true-d53669e0)</assert>
   </rule>
</pattern>
